// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "FayeBaseWidget.h"
#include "Blueprint/UserWidget.h"
#include "DialogueWidget.generated.h"

class USUDSDialogue;

USTRUCT(BlueprintType)
struct FDialogueWidgetPayload
{
	GENERATED_BODY()
	
	FDialogueWidgetPayload() {}
	FDialogueWidgetPayload(USUDSDialogue* InDialogueObject)
		: DialogueObject(InDialogueObject) {}
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TObjectPtr<USUDSDialogue> DialogueObject = nullptr;
};

/**
 * 
 */
UCLASS()
class FAYE_API UDialogueWidget : public UFayeBaseWidget
{
	GENERATED_BODY()
	
public:

};
